REPLY_SUCCESS_200 = 200

REPLY_BAD_REQUEST_400 = 400
REPLY_NOT_FOUND_404 = 404
REPLY_METHOD_NOT_ALLOWED_405 = 405
REPLY_CONFLICT_409 = 409

REPLY_INTERNAL_SERVER_ERROR_500 = 500
REPLY_SERVICE_UNAVAILABLE_503 = 503
REPLY_GATEWAY_TIMEOUT = 504

FAIL_CODE_VIDEOSOURCE_ERROR = 'videosource-error'
FAIL_TEXT_VIDEOSOURCE_ERROR = 'something wrong with videosource'


def reply_done(result_jnode=None):
    jnode = {
        'status': REPLY_SUCCESS_200,
        'result': result_jnode if result_jnode else []
    }

    return jnode


def reply_fail(http_code):
    """
    :type http_code: int
    :rtype: dict
    """
    jnode = {
        'status': http_code,
        'errors': []
    }

    return jnode


def reply_fail2(http_code, error_code, error_text):
    """
    :type http_code: int
    :type error_code: str
    :type error_text: str
    :rtype: dict
    """
    jnode = {
        'status': http_code,
        'errors': [
            {
                'code': error_code,
                'message': error_text
            }
        ]
    }

    return jnode
